Isuzu Engine Manufacturing Co.,(Thailand) Ltd. - Parent project #941
[PJ220019] RZ4E Traceability Supports Camera change Step3 MC22

11 Apr 2025 13:25 - Karnthida Wannasiwaporn

Status: Closed Start date: 11 Apr 2025
Priority: Normal Due date:

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour
Description

History

#1 - 11 Apr 2025 13:26 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 05 Nov 2025 11:03 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed
